<div class="container">
  <div class="search">
    <div class="form-group">
      <input type="text" class="form-control" placeholder="Search..." [(ngModel)]="searckKey" (input)="onSearchInput()">
    </div>
  </div>
  <ng-container *ngIf="!isLoading && (launches$ | async) as launches; else loading">
    <div class="accordion"
    infiniteScroll
    [infiniteScrollThrottle]="1000"
    (scrolled)="onScroll(launches)">
      <accordion [isAnimated]="true">
        <ng-container *ngFor="let launch of launches">
          <accordion-group class="accordion-item">
            <button class="btn btn-link btn-block clearfix" accordion-heading type="button">
              <div class="pull-left float-left" [innerHTML]="launch.mission_name"></div>
              <span
              class="badge float-right pull-right"
              [ngClass]="{
                'badge-info': launch.upcoming,
                'badge-danger': launch.launch_success === false || !launch.launch_success && !launch.upcoming,
                'badge-success': launch.launch_success
              }"
              [innerHTML]="launch | launchStatus"
              ></span>
            </button>

            <div class="links">
              <span [innerHTML]="launch.launch_date_local | dateToWords"></span> | <a [href]="launch.links.article_link" target="_blank">Article</a> | <a [href]="launch.links.video_link" target="_blank">Video</a>
            </div>
            <div class="details">
              <ng-container *ngIf="launch.links.mission_patch; else noImage">
                <img [src]="launch.links.mission_patch" width="80" height="80" class="float-left pull-left">
              </ng-container>
              <ng-template #noImage>
                No image available. <br>
              </ng-template>
              <span class="launch-details" [innerHTML]="launch.details"></span>
            </div>
          </accordion-group>
        </ng-container>
      </accordion>
      <ng-container *ngIf="isLazyLoading">
        <app-spinner></app-spinner>
      </ng-container>
      <ng-container *ngIf="noMoreResult">
        <span>End of list.</span>
      </ng-container>
    </div>
  </ng-container>

  <ng-template #loading>
    <app-spinner></app-spinner>
  </ng-template>
</div>
